int pix = 0;

#include "MD_MAX72xx.h"
#include "MD_MAXPanel.h"
#include "SPI.h"

#define HARDWARE_TYPE MD_MAX72XX::FC16_HW
#define MAX_DEVICES 4
#define CS_PIN 3 
#define CLK_PIN 13
#define DATA_PIN 11

//#define ANALOG_PIN A0 //Read pin

MD_MAX72XX mx = MD_MAX72XX(MD_MAX72XX::FC16_HW, DATA_PIN, CLK_PIN, CS_PIN, MAX_DEVICES);
MD_MAXPanel panel(&mx, 1, MAX_DEVICES);  // 1 row, 4 columns

void fill(int max) {
  for (int x = 0; x <= 32; x++){
    int x_prim = 7 - x + x/8 * 8;
    for (int y = 0; y <= 7; y++) {
      int y_prim = y + x/8 * 8;
      if (x <= max) {
        panel.setPoint(x_prim, y_prim, true);
      }
      else if (x > max) {
        panel.setPoint(x_prim, y_prim, false);
      }
    }
  }
  panel.update();  // Push changes to display
}

void setup() {
  Serial.begin(9600);
  mx.begin();
  panel.begin();
  panel.clear();
  panel.setIntensity(5);
  panel.update();
}

void loop() {
  int sensorValue = analogRead(A1);
  int numPixels = map(sensorValue, 200, 1023, 0, 32);
  
  if (pix >= 0) {
    pix -= 3;
    if (pix < 0) {
      fill(pix);
    }
  }
  if (numPixels > pix) {
    pix = numPixels;
    Serial.println(sensorValue);
    Serial.println(numPixels);

  } else if (pix >= 0) {
    fill(pix);

  }

  
  delay(1);
}



